Bug 630613 - do not use boot=on with ide disks
Summary: do not use boot=on with ide disks
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt
Version: 5.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 594068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-06 12:44 UTC by Jiri Denemark
Modified: 2011-01-13 23:15 UTC (History)
6 users (show)

(edit)
Clone Of: 594068
(edit)
Last Closed: 2011-01-13 23:15:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0060 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-01-12 17:22:30 UTC

Description Jiri Denemark 2010-09-06 12:44:58 UTC
+++ This bug was initially created as a clone of Bug #594068 +++

Description of problem:

Clone of a corresponding bug fixed in RHEL-6...

using 'no hardware acceleration' option in qemu (no-kvm) results a situation where vm is stuck on booting from hard drive. 
when running same vm but using the '-enable-kvm' option, vm boots from hard drive and os is loaded. 

 - qemu process with kvm disabled - vm doesn't boot from hard drive and stuck 
   on 'Booting from Hard disk...'

32322 ?        Rl     0:08 /usr/libexec/qemu-kvm -S -M rhel6.0.0 -cpu qemu64,+cx16,+ssse3,-svm -no-kvm -m 512 -smp 1,sockets=1,cores=1,threads=1 -name libvirt-pool-07 -uuid 9362025d-0906-4587-9b0e-0561c25aaa53 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/libvirt-pool-07.monitor,server,nowait -mon chardev=monitor,mode=control -rtc base=2010-4-20T16:24:49 -boot cn -drive file=/rhev/data-center/606d043c-ef9c-4c6f-848b-5bd89325c78d/d9124e52-d42a-4b0c-8657-523bc5b6733b/images/ad757a3f-bce5-4629-a91d-9d81bef59377/afd1ef06-a03d-4751-9348-2a4c1467f78f,if=none,id=drive-ide0-0-0,boot=on,format=qcow2,serial=29-a91d-9d81bef59377,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,fd=21,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:23:71:17,bus=pci.0,addr=0x4 -usb -device usb-tablet,id=input0 -vnc 0:0,password -k en-us -vga cirrus -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3

Comment 1 Jiri Denemark 2010-09-13 21:55:20 UTC
Fix built into libvirt-0.8.2-4.el5

Comment 3 zhanghaiyan 2010-10-11 02:36:57 UTC
Verified this bug PASS on the following build
RHEL5.6-Server-20100930.0-x86_64-KVM
- kernel-2.6.18-225.el5
- kvm-83-200.el5
- libvirt-0.8.2-6.el5

Test steps: https://bugzilla.redhat.com/show_bug.cgi?id=594068#c27

Comment 5 errata-xmlrpc 2011-01-13 23:15:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0060.html


Note You need to log in before you can comment on or make changes to this bug.